Automation
Run template by exact ID or unique name.
ROLES: AUTOMATION_RUNNER,AUTOMATION_ADMIN USER: true SERVICE ACCOUNT: true PARAMETER: jobTemplateId accepts an exact active template UUID or unique name.
POST
/
api
/
v1
/
automation
/
template
/
{jobTemplateId}
/
run
Run template by exact ID or unique name.
curl --request POST \
--url https://api.revoengine.com/api/v1/automation/template/{jobTemplateId}/run \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"scheduleFor": "2023-11-07T05:31:56Z",
"inputs": {},
"options": {
"input": {
"region": "eu",
"mode": "incremental"
},
"skipLibs": false,
"legacyResults": false,
"hideRequest": true,
"hideResponse": false,
"memory": 512,
"concurrency": {
"key": "nightly_sync",
"limit": 3,
"ttl": 120
},
"retry": {
"enabled": true,
"maxAttempts": 5,
"minBackoffSeconds": 30,
"maxBackoffSeconds": 3600,
"maxDoublings": 5,
"bypassConcurrencyOnRetry": false
}
}
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
scheduleFor: '2023-11-07T05:31:56Z',
inputs: {},
options: {
input: {region: 'eu', mode: 'incremental'},
skipLibs: false,
legacyResults: false,
hideRequest: true,
hideResponse: false,
memory: 512,
concurrency: {key: 'nightly_sync', limit: 3, ttl: 120},
retry: {
enabled: true,
maxAttempts: 5,
minBackoffSeconds: 30,
maxBackoffSeconds: 3600,
maxDoublings: 5,
bypassConcurrencyOnRetry: false
}
}
})
};
fetch('https://api.revoengine.com/api/v1/automation/template/{jobTemplateId}/run', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/automation/template/{jobTemplateId}/run"
payload = {
"scheduleFor": "2023-11-07T05:31:56Z",
"inputs": {},
"options": {
"input": {
"region": "eu",
"mode": "incremental"
},
"skipLibs": False,
"legacyResults": False,
"hideRequest": True,
"hideResponse": False,
"memory": 512,
"concurrency": {
"key": "nightly_sync",
"limit": 3,
"ttl": 120
},
"retry": {
"enabled": True,
"maxAttempts": 5,
"minBackoffSeconds": 30,
"maxBackoffSeconds": 3600,
"maxDoublings": 5,
"bypassConcurrencyOnRetry": False
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)Authorizations
Bearer JWT token or API Key (sk-*).
Path Parameters
Body
application/json
Absolute execution time as an ISO 8601 date-time string or Unix timestamp in milliseconds. Must not be in the past or more than 30 days in the future.
Template input values for this run. Must be a JSON object; null is normalized to an empty object. Values are materialized only under api.input().templateInputs and cannot modify the top-level execution envelope.
Options.
Show child attributes
Show child attributes
Response
Job scheduled.
Last modified on September 11, 2026
⌘I
Run template by exact ID or unique name.
curl --request POST \
--url https://api.revoengine.com/api/v1/automation/template/{jobTemplateId}/run \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"scheduleFor": "2023-11-07T05:31:56Z",
"inputs": {},
"options": {
"input": {
"region": "eu",
"mode": "incremental"
},
"skipLibs": false,
"legacyResults": false,
"hideRequest": true,
"hideResponse": false,
"memory": 512,
"concurrency": {
"key": "nightly_sync",
"limit": 3,
"ttl": 120
},
"retry": {
"enabled": true,
"maxAttempts": 5,
"minBackoffSeconds": 30,
"maxBackoffSeconds": 3600,
"maxDoublings": 5,
"bypassConcurrencyOnRetry": false
}
}
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
scheduleFor: '2023-11-07T05:31:56Z',
inputs: {},
options: {
input: {region: 'eu', mode: 'incremental'},
skipLibs: false,
legacyResults: false,
hideRequest: true,
hideResponse: false,
memory: 512,
concurrency: {key: 'nightly_sync', limit: 3, ttl: 120},
retry: {
enabled: true,
maxAttempts: 5,
minBackoffSeconds: 30,
maxBackoffSeconds: 3600,
maxDoublings: 5,
bypassConcurrencyOnRetry: false
}
}
})
};
fetch('https://api.revoengine.com/api/v1/automation/template/{jobTemplateId}/run', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/automation/template/{jobTemplateId}/run"
payload = {
"scheduleFor": "2023-11-07T05:31:56Z",
"inputs": {},
"options": {
"input": {
"region": "eu",
"mode": "incremental"
},
"skipLibs": False,
"legacyResults": False,
"hideRequest": True,
"hideResponse": False,
"memory": 512,
"concurrency": {
"key": "nightly_sync",
"limit": 3,
"ttl": 120
},
"retry": {
"enabled": True,
"maxAttempts": 5,
"minBackoffSeconds": 30,
"maxBackoffSeconds": 3600,
"maxDoublings": 5,
"bypassConcurrencyOnRetry": False
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
